Subject: RecipientInfo Syntax to support passwords-based key managament and more

From: "Housley, Russ" <[email-masked]>
Date: Tue, 24 Apr 2001 10:52:49 -0400

John:

I think that it is time to take this previously closed discussion to the 
whole list.

John has proposed the following.

>RecipientInfo should be changed as follows (or similar):
>
>      RecipientInfo ::= CHOICE {
>       ktri KeyTransRecipientInfo,
>       kari [1] KeyAgreeRecipientInfo,
>       kekri [2] KEKRecipientInfo,
>       other [3] OtherRecipientInfo}      }
>
>       OtherRecipientInfo ::= SEQUENCE {
>         recipientInfoType OBJECT IDENTIFIER,
>         recipientInfoValue [0] EXPLICIT ANY}

At this point, I think it might be unfair to anyone that may have 
implemented password-based key management.  Therefore, I propose that it 
should be included as a possibility in the base CHOICE.  Thus:

     RecipientInfo ::= CHOICE {
       ktri KeyTransRecipientInfo,
       kari [1] KeyAgreeRecipientInfo,
       kekri [2] KEKRecipientInfo,
       pwri [3] PasswordRecipientinfo,
       other [0] OtherRecipientInfo }

       OtherRecipientInfo ::= SEQUENCE {
         oriType OBJECT IDENTIFIER,
         oriValue [0] EXPLICIT ANY DEFINED BY oriType }

Russ